Bug 990170 (CVE-2013-4931) - CVE-2013-4931 wireshark: DoS (infinite loop) in the GSM RR dissector (wnpa-sec-2013-49)
Summary: CVE-2013-4931 wireshark: DoS (infinite loop) in the GSM RR dissector (wnpa-se...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4931
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130726,reported=2...
Depends On: 979246 990189 990202 994914 994924 1074904 1074905
Blocks: 974906 990216
TreeView+ depends on / blocked
 
Reported: 2013-07-30 13:59 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:40 UTC (History)
5 users (show)

Fixed In Version: Wireshark 1.8.9, Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-25 16:46:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1569 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2013-11-20 21:40:01 UTC
Red Hat Product Errata RHSA-2014:0341 normal SHIPPED_LIVE Moderate: wireshark security update 2014-03-31 20:31:57 UTC

Description Jan Lieskovsky 2013-07-30 13:59:01 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4931 to the following vulnerability:

epan/proto.c in Wireshark 1.8.x before 1.8.9 and 1.10.x before 1.10.1 allows remote attackers to cause a denial of service (loop) via a crafted packet that is not properly handled by the GSM RR dissector.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/proto.c?r1=50504&r2=50503&pathrev=50504
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=50504
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.9.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8923
[6] https://www.wireshark.org/security/wnpa-sec-2013-49.html

Comment 1 Jan Lieskovsky 2013-07-30 14:40:00 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-18 [bug 990189]

Comment 2 Huzaifa S. Sidhpurwala 2013-08-08 08:59:06 UTC
Statement:

(none)

Comment 5 Fedora Update System 2013-09-28 00:14:41 UTC
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-10-03 01:05:43 UTC
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2013-11-21 07:32:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html

Comment 8 Fedora Update System 2013-12-19 07:12:48 UTC
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2014-03-31 18:01:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0341 https://rhn.redhat.com/errata/RHSA-2014-0341.html


Note You need to log in before you can comment on or make changes to this bug.